Bug 1287463 - [Doc Tracker bug] Upgrade procedure for RHGS 3.1.2
[Doc Tracker bug] Upgrade procedure for RHGS 3.1.2
Status: ON_QA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Installation_Guide (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Divya
Prasad Desala
: ZStream
: 1287464 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 02:38 EST by Anjana Suparna Sriram
Modified: 2018-01-31 07:58 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anjana Suparna Sriram 2015-12-02 02:38:26 EST
Description of problem: Tracker bug to capture the changes required from 3.1.1 to 3.1.2


Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:
Comment 2 Divya 2015-12-02 06:12:23 EST
Hi Neha,

Following is the link to the 3.1 Installation Guide:

https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-single/Installation_Guide/index.html

I need to understand the probable changes that have to be incorporated for the RHGS 3.1.2 release:

- Installation Related Changes for RHGS 3.1.2 if any
- Update/Upgrade related changes

Can you please let me know changes required for 3.1.2 release?

Thanks!
Comment 3 Neha 2015-12-09 23:06:34 EST
There is no change for installation/upgrade procedure for 3.1.2 release. Channels/repos will be same and ISO installation will be using RHEL6.7/7.2.

Only thing I am waiting for confirmation on:
  
"8. Upgrading from Red Hat Gluster Storage 2.1.x to Red Hat Gluster Storage 3.1"

Weather we need to keep it or remove it from docs given that RHGS 2.1 is EOL'ed.

Rejy,

Could you please confirm on the same ?
Comment 4 Rejy M Cyriac 2015-12-09 23:32:57 EST
(In reply to Neha from comment #3)
> There is no change for installation/upgrade procedure for 3.1.2 release.
> Channels/repos will be same and ISO installation will be using RHEL6.7/7.2.
> 
> Only thing I am waiting for confirmation on:
>   
> "8. Upgrading from Red Hat Gluster Storage 2.1.x to Red Hat Gluster Storage
> 3.1"
> 
> Weather we need to keep it or remove it from docs given that RHGS 2.1 is
> EOL'ed.
> 
> Rejy,
> 
> Could you please confirm on the same ?

We are to retain the migration steps from RHS 2.1 at the Install Guide, for this release. We might remove them in a future release, when we are fairly comfortable that all customers have completed the migration
Comment 5 Divya 2015-12-10 03:55:49 EST
*** Bug 1287464 has been marked as a duplicate of this bug. ***
Comment 6 Neha 2015-12-10 05:00:25 EST
sas,

could you please update if there is any update required on rhev side.

https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-single/Installation_Guide/index.html#chap-RHEV_RHS
Comment 7 Divya 2015-12-10 05:25:29 EST
Hi Neha,

Further to our discussion, I will be updating the doc for the following:

- Replace "Chapter 7.  Updating Red Hat Gluster Storage from 3.0.x to Red Hat Gluster Storage 3.1" with " Chapter 7. Updating Red Hat Gluster Storage from 3.0.x to Red Hat Gluster Storage 3.1.x"

- Replace "7.1. Updating Red Hat Gluster Storage from 3.0.x to 3.1 in the Offline Mode" with "7.1. Updating Red Hat Gluster Storage from 3.0.x to 3.1.x in the Offline Mode" 

- Replace "7.2. In-service Software Update from Red Hat Gluster Storage 3.0.x to 3.1" with "7.2. In-service Software Update from Red Hat Gluster Storage 3.0.x to 3.1.x"

- Replace "2.2.2. Installing Red Hat Gluster Storage 3.1 on Red Hat Enterprise Linux 7.1" with "2.2.2. Installing Red Hat Gluster Storage 3.1 on Red Hat Enterprise Linux 7.2"

- In section 2.2.2. Installing Red Hat Gluster Storage 3.1 on Red Hat Enterprise Linux 7.1, update all the instances of 7.1 to 7.2

- In Chapter 5. Deploying the Hortonworks Data Platform 2.1 on Red Hat Gluster Storage, replace "In Red Hat Gluster Storage is not supported with Hadoop: Red Hat Enterprise Linux 7.1" with  " In Red Hat Gluster Storage is not supported with Hadoop: Red Hat Enterprise Linux 7.x"
Comment 8 Divya 2015-12-10 06:00:44 EST
Neha,

In the current document, the following kernel information is available:

------
Kernel Version Requirement

Red Hat Gluster Storage requires the kernel-2.6.32-431.17.1.el6 version or higher to be used on the system. Verify the installed and running kernel versions by running the following command: 

# rpm -q kernel
kernel-2.6.32-431.el6.x86_64
kernel-2.6.32-431.17.1.el6.x86_64

# uname -r
2.6.32-431.17.1.el6.x86_64

-----

Now that we support RHEL 7.2, please confirm if I have to update the kernel version numbers.

Thanks!
Comment 9 Rejy M Cyriac 2015-12-10 06:22:32 EST
(In reply to Divya from comment #8)
> Neha,
> 
> In the current document, the following kernel information is available:
> 
> ------
> Kernel Version Requirement
> 
> Red Hat Gluster Storage requires the kernel-2.6.32-431.17.1.el6 version or
> higher to be used on the system. Verify the installed and running kernel
> versions by running the following command: 
> 
> # rpm -q kernel
> kernel-2.6.32-431.el6.x86_64
> kernel-2.6.32-431.17.1.el6.x86_64
> 
> # uname -r
> 2.6.32-431.17.1.el6.x86_64
> 
> -----
> 
> Now that we support RHEL 7.2, please confirm if I have to update the kernel
> version numbers.
> 
> Thanks!
Divya,

Note that the above section that you have quoted is regarding RHGS on RHEL6 and not RHGS on RHEL7. So the availability of RHGS support for RHEL7.2 is irrelevant here.

At RHGS on RHEL6, we need *minimally* the kernel-2.6.32-431.17.1.el6 version to be installed, I believe, for Thinpool (ThinP) on lvm to work. So the section is still valid in my opinion.
Comment 10 Neha 2015-12-11 00:05:18 EST
Divya,

that is a minimum kernel requirement "requires the kernel-2.6.32-431.17.1.el6 version or higher to be used on the system"

so no need to update that.
Comment 11 Neha 2015-12-11 00:30:29 EST
restoring needinfo #6
Comment 12 Divya 2015-12-11 01:48:11 EST
Neha,

I have updated the RHGS 3.1 Installation Guide based on Comment 7.

Link to the latest doc:http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.1-Installation_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html

Please review and let me know if the changes are fine.

Thanks!
Comment 13 Neha 2015-12-17 05:53:38 EST
Still RHEL 7.1 is mentioned at few places:

1] Chapter 3. Deploying Samba on Red Hat Gluster Storage / 4.1. Prerequisites [NFS Ganesha]

###
Enable the channel where the Samba packages are available:

For Red Hat Gluster Storage 3.1 on Red Hat Enterprise Linux 6.7
###

These channels name will be same for all RHEL 6 minor updates, to avoid confusion we can just keep it Red Hat Enterprise Linux 6

Same applicable for rhel7
 
###
For Red Hat Gluster Storage 3.1 on Red Hat Enterprise Linux 7.1
###

2] Chapter 7. Updating Red Hat Gluster Storage from 3.0.x to Red Hat Gluster Storage 3.1.x

###

Warning
In Red Hat Enterprise Linux 7 based Red Hat Gluster Storage, updating to Red Hat Gluster Storage 3.1.1 will reload firewall rules. All the runtime-only changes done until the reload, if it was not included in the permanent configuration, will be lost. 

###

Here we can change 3.1.1 to 3.1.2
Comment 14 Neha 2015-12-17 05:56:37 EST
restoring needinfo #6
Comment 15 SATHEESARAN 2015-12-23 04:19:07 EST
(In reply to Neha from comment #6)
> sas,
> 
> could you please update if there is any update required on rhev side.
> 
> https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-
> single/Installation_Guide/index.html#chap-RHEV_RHS

Apologies for responding to this query so late.

1. Remove the "NOTE" under 9.1 step1
2. In step 9 under section 9.1 , remove "RHEL 6.4", let it be RHEL 6
" Upgrade the native client bits for Red Hat Enterprise Linux 6 or Red Hat Enterprise Linux 7, based on the RHEL server hypervisor used"

3. In section 9.2, step7 requires the same change as mentioned above in point2

Other than that rest looks good
Comment 16 Divya 2015-12-24 04:16:28 EST
Neha,

My comments in line.

(In reply to Neha from comment #13)
> Still RHEL 7.1 is mentioned at few places:
> 
> 1] Chapter 3. Deploying Samba on Red Hat Gluster Storage / 4.1.
> Prerequisites [NFS Ganesha]
> 
> ###
> Enable the channel where the Samba packages are available:
> 
> For Red Hat Gluster Storage 3.1 on Red Hat Enterprise Linux 6.7
> ###
> 
> These channels name will be same for all RHEL 6 minor updates, to avoid
> confusion we can just keep it Red Hat Enterprise Linux 6

Changed it to RHEL 6.x to provide more clarity.

> 
> Same applicable for rhel7
>  
> ###
> For Red Hat Gluster Storage 3.1 on Red Hat Enterprise Linux 7.1
> ###

Changed it RHEL 7.x to provide more clarity.

Link to the latest doc: http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.1-Installation_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#Prerequisites

> 
> 2] Chapter 7. Updating Red Hat Gluster Storage from 3.0.x to Red Hat Gluster
> Storage 3.1.x
> 
> ###
> 
> Warning
> In Red Hat Enterprise Linux 7 based Red Hat Gluster Storage, updating to Red
> Hat Gluster Storage 3.1.1 will reload firewall rules. All the runtime-only
> changes done until the reload, if it was not included in the permanent
> configuration, will be lost. 
> 
> ###
> 
> Here we can change 3.1.1 to 3.1.2

Changed it to 3.1.x to reduce the doc maintenance effort.

Link to the latest doc: http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.1-Installation_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#chap-Update

Please review and let me know if the changes are fine.

Thanks!
Comment 17 Divya 2015-12-24 04:18:49 EST
(In reply to SATHEESARAN from comment #15)
> (In reply to Neha from comment #6)
> > sas,
> > 
> > could you please update if there is any update required on rhev side.
> > 
> > https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-
> > single/Installation_Guide/index.html#chap-RHEV_RHS
> 
> Apologies for responding to this query so late.
> 
> 1. Remove the "NOTE" under 9.1 step1
> 2. In step 9 under section 9.1 , remove "RHEL 6.4", let it be RHEL 6
> " Upgrade the native client bits for Red Hat Enterprise Linux 6 or Red Hat
> Enterprise Linux 7, based on the RHEL server hypervisor used"
> 
> 3. In section 9.2, step7 requires the same change as mentioned above in
> point2
> 
> Other than that rest looks good

Sas,

I have incorporated the changes you have suggested.

Link to the latest doc: http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.1-Installation_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#Upgrading_using_an_ISO

Please review the changes and sign-off.

Thanks!
Comment 18 SATHEESARAN 2015-12-24 06:43:13 EST
(In reply to Divya from comment #17)
> (In reply to SATHEESARAN from comment #15)
> > (In reply to Neha from comment #6)
> > > sas,
> > > 
> > > could you please update if there is any update required on rhev side.
> > > 
> > > https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-
> > > single/Installation_Guide/index.html#chap-RHEV_RHS
> > 
> > Apologies for responding to this query so late.
> > 
> > 1. Remove the "NOTE" under 9.1 step1
> > 2. In step 9 under section 9.1 , remove "RHEL 6.4", let it be RHEL 6
> > " Upgrade the native client bits for Red Hat Enterprise Linux 6 or Red Hat
> > Enterprise Linux 7, based on the RHEL server hypervisor used"
> > 
> > 3. In section 9.2, step7 requires the same change as mentioned above in
> > point2
> > 
> > Other than that rest looks good
> 
> Sas,
> 
> I have incorporated the changes you have suggested.
> 
> Link to the latest doc:
> http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-
> 3.1-Installation_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-
> US/html-single/index.html#Upgrading_using_an_ISO
> 
> Please review the changes and sign-off.
> 
> Thanks!

Yes, that looks good
Comment 19 Divya 2015-12-29 01:46:58 EST
Based on Comment 18, moving the bug to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.